Index: LMDZ6/trunk/libf/phylmdiso/phys_cal_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/phys_cal_mod.F90	(revision 3939)
+++ LMDZ6/trunk/libf/phylmdiso/phys_cal_mod.F90	(revision 3940)
@@ -1,95 +1,1 @@
-! $Id: phys_cal_mod.F90 3452 2019-01-28 09:45:20Z fairhead $
-MODULE phys_cal_mod
-! This module contains information on the calendar at the current time step
-
-  INTEGER,SAVE :: year_cur      ! current year
-!$OMP THREADPRIVATE(year_cur)
-  INTEGER,SAVE :: mth_cur       ! current month
-!$OMP THREADPRIVATE(mth_cur)
-  INTEGER,SAVE :: day_cur       ! current day
-!$OMP THREADPRIVATE(day_cur)
-  INTEGER,SAVE :: days_elapsed  ! number of whole days since start of the current year
-!$OMP THREADPRIVATE(days_elapsed)
-  INTEGER,SAVE :: mth_len       ! number of days in the current month
-!$OMP THREADPRIVATE(mth_len)
-  INTEGER,SAVE :: year_len      ! number of days in the current year
-!$OMP THREADPRIVATE(year_len)
-  REAL,SAVE    :: hour         ! seconds elapsed (in the current day) since midnight
-!$OMP THREADPRIVATE(hour)
-  REAL,SAVE    :: jD_1jan
-!$OMP THREADPRIVATE(jD_1jan)
-  REAL,SAVE    :: jH_1jan
-!$OMP THREADPRIVATE(jH_1jan)
-  REAL,SAVE    :: xjour
-!$OMP THREADPRIVATE(xjour)
-  REAL,SAVE    :: jD_cur  ! jour courant a l'appel de la physique (jour julien)
-!$OMP THREADPRIVATE(jD_cur)
-  REAL,SAVE    :: jH_cur  ! heure courante a l'appel de la physique (jour julien)
-!$OMP THREADPRIVATE(jH_cur)
-  REAL,SAVE    :: jD_ref  ! jour du demarage de la simulation (jour julien)
-!$OMP THREADPRIVATE(jD_ref)
- CHARACTER (len=10) :: calend ! type of calendar to use
-                              ! (can be earth_360d, earth_365d or earth_366d)
-!$OMP THREADPRIVATE(calend)
-
-CONTAINS
-  
-  SUBROUTINE phys_cal_init(annee_ref,day_ref)
-
-    USE IOIPSL, ONLY:  ymds2ju, ioconf_calendar
-    USE mod_phys_lmdz_para, ONLY:  is_master,is_omp_master
-    USE ioipsl_getin_p_mod, ONLY: getin_p
-
-    IMPLICIT NONE
-    INTEGER,INTENT(IN) :: annee_ref
-    INTEGER,INTENT(IN) :: day_ref
-
-    ! Find out which type of calendar we are using
-    calend = 'earth_360d' ! default
-    CALL getin_p("calend",calend)
-
-    IF (is_omp_master) THEN
-      IF (calend == 'earth_360d') THEN
-        CALL ioconf_calendar('360d')
-      ELSE IF (calend == 'earth_365d') THEN
-        CALL ioconf_calendar('noleap')
-      ELSE IF (calend == 'earth_366d' .OR. calend == 'gregorian') THEN
-        CALL ioconf_calendar('gregorian')
-      ELSE
-        CALL abort_physic('phys_cal_init','Mauvais choix de calendrier',1)
-      ENDIF
-    ENDIF
-!$OMP BARRIER
-     
-    CALL ymds2ju(annee_ref, 1, day_ref, 0., jD_ref)
-    jD_ref=INT(jD_ref)
-  
-  END SUBROUTINE  phys_cal_init
-
-  SUBROUTINE phys_cal_update(julian_date)
-    ! This subroutine updates the module saved variables.
-
-    USE IOIPSL, only: ju2ymds, ymds2ju, ioget_mon_len, ioget_year_len
-    IMPLICIT NONE
-    REAL, INTENT(IN) :: julian_date
-
-    jD_cur=INT(julian_date)
-    jH_cur=julian_date-jD_cur
-    
-    CALL ju2ymds(jD_cur+jH_cur, year_cur, mth_cur, day_cur, hour)
-    CALL ymds2ju(year_cur, 1, 1, 0., jD_1jan)
-    
-    jH_1jan = jD_1jan - int (jD_1jan)
-    jD_1jan = int (jD_1jan) 
-    xjour = jD_cur - jD_1jan
-    days_elapsed = jD_cur - jD_1jan
-
-    ! Get lenght of current month
-    mth_len = ioget_mon_len(year_cur,mth_cur)
-
-    ! Get length of current year
-    year_len = ioget_year_len(year_cur)
-
-  END SUBROUTINE phys_cal_update
-
-END MODULE phys_cal_mod
+link ../phylmd/phys_cal_mod.F90
Index: LMDZ6/trunk/libf/phylmdiso/phys_local_var_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/phys_local_var_mod.F90	(revision 3939)
+++ LMDZ6/trunk/libf/phylmdiso/phys_local_var_mod.F90	(revision 3940)
@@ -1,4 +1,4 @@
 !
-! $Id: phys_local_var_mod.F90 3662 2020-04-12 16:41:53Z oboucher $
+! $Id: phys_local_var_mod.F90 3888 2021-05-05 10:50:37Z jyg $
 !
       MODULE phys_local_var_mod
@@ -16,7 +16,6 @@
       REAL, SAVE, ALLOCATABLE :: u_seri(:,:), v_seri(:,:)
       !$OMP THREADPRIVATE(u_seri, v_seri)
-      REAL, SAVE, ALLOCATABLE :: l_mixmin(:,:,:), l_mix(:,:,:)
-      !$OMP THREADPRIVATE(l_mixmin, l_mix)
-
+      REAL, SAVE, ALLOCATABLE :: l_mixmin(:,:,:), l_mix(:,:,:), tke_dissip(:,:,:)
+      !$OMP THREADPRIVATE(l_mixmin, l_mix, tke_dissip)
       REAL, SAVE, ALLOCATABLE :: tr_seri(:,:,:)
       !$OMP THREADPRIVATE(tr_seri)
@@ -334,5 +333,5 @@
 !!!OMP THREADPRIVATE(d_s_the, d_dens_the)
       REAL,ALLOCATABLE,SAVE,DIMENSION(:,:)           :: d_deltat_ajs_cv, d_deltaq_ajs_cv
-!$OMP THREADPRIVATE(d_deltat_ajs_cv, d_deltaq_ajs_cv)
+!$OMP THREADPRIVATE(d_deltat_ajs_cv, d_deltaq_ajs_cv)                       
 #ifdef ISO
     REAL, SAVE, ALLOCATABLE,DIMENSION(:,:,:)          :: d_deltaxt_wk
@@ -355,6 +354,5 @@
       REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: cldh, cldl, cldm, cldq, cldt, qsat2m
 !$OMP THREADPRIVATE(cldh, cldl, cldm, cldq, cldt, qsat2m )
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: cldhjn, cldljn, cldmjn,cldtjn
-!$OMP THREADPRIVATE(cldhjn, cldljn, cldmjn, cldtjn)
+!AS: cldhjn, cldljn, cldmjn,cldtjn pas utilisés en tant que variables, juste noms de diagnostics
       REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: JrNt
 !$OMP THREADPRIVATE(JrNt)
@@ -411,4 +409,6 @@
       REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: zxfluxlat_x, zxfluxlat_w
 !$OMP THREADPRIVATE(zxfluxlat_x, zxfluxlat_w)
+      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: delta_qsurf
+!$OMP THREADPRIVATE(delta_qsurf)
 !jyg<
 !!! Entrees supplementaires couche-limite
@@ -455,10 +455,4 @@
       REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: t2m_min_mon, t2m_max_mon
 !$OMP THREADPRIVATE(t2m_min_mon, t2m_max_mon)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: zq2m_cor, zt2m_cor
-!$OMP THREADPRIVATE(zq2m_cor, zt2m_cor)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: zu10m_cor, zv10m_cor
-!$OMP THREADPRIVATE(zu10m_cor, zv10m_cor)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: zrh2m_cor, zqsat2m_cor
-!$OMP THREADPRIVATE(zrh2m_cor, zqsat2m_cor)
       REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: weak_inversion
 !$OMP THREADPRIVATE(weak_inversion)
@@ -567,6 +561,6 @@
       REAL,ALLOCATABLE,SAVE,DIMENSION(:,:) :: ref_liq_pi, ref_ice_pi
 !$OMP THREADPRIVATE(ref_liq_pi, ref_ice_pi)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:) :: zx_rh
-!$OMP THREADPRIVATE(zx_rh)
+      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:) :: zx_rh, zx_rhl, zx_rhi
+!$OMP THREADPRIVATE(zx_rh, zx_rhl, zx_rhi)
       REAL,ALLOCATABLE,SAVE,DIMENSION(:,:) :: prfl, psfl, fraca
 !$OMP THREADPRIVATE(prfl, psfl, fraca)
@@ -604,4 +598,7 @@
       REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: p_tropopause, z_tropopause, t_tropopause
 !$OMP THREADPRIVATE(p_tropopause, z_tropopause, t_tropopause)
+
+      INTEGER,ALLOCATABLE,SAVE,DIMENSION(:,:) :: zn2mout
+!$OMP THREADPRIVATE(zn2mout)
 
 #ifdef CPP_StratAer
@@ -694,6 +691,6 @@
       ALLOCATE(t_seri(klon,klev),q_seri(klon,klev),ql_seri(klon,klev),qs_seri(klon,klev))
       ALLOCATE(u_seri(klon,klev),v_seri(klon,klev))
-      ALLOCATE(l_mixmin(klon,klev+1,nbsrf), l_mix(klon,klev+1,nbsrf))
-      l_mix(:,:,:)=0. ; l_mixmin(:,:,:)=0. ! doit etre initialse car pas toujours remplis
+      ALLOCATE(l_mixmin(klon,klev+1,nbsrf), l_mix(klon,klev+1,nbsrf), tke_dissip(klon,klev+1,nbsrf))
+      l_mix(:,:,:)=0. ; l_mixmin(:,:,:)=0. ; tke_dissip(:,:,:)=0. ! doit etre initialse car pas toujours remplis
 
       ALLOCATE(tr_seri(klon,klev,nbtr))
@@ -882,5 +879,4 @@
       ALLOCATE(cdragm(klon), cdragh(klon), cldh(klon), cldl(klon))
       ALLOCATE(cldm(klon), cldq(klon), cldt(klon), qsat2m(klon))
-      ALLOCATE(cldhjn(klon), cldljn(klon), cldmjn(klon), cldtjn(klon))
       ALLOCATE(JrNt(klon))
       ALLOCATE(dthmin(klon), evap(klon), fder(klon), plcl(klon), plfc(klon))
@@ -915,4 +911,5 @@
       ALLOCATE(sens_x(klon), sens_w(klon))
       ALLOCATE(zxfluxlat_x(klon), zxfluxlat_w(klon))
+      ALLOCATE(delta_qsurf(klon))
 !jyg<
 !!      ALLOCATE(t_x(klon,klev), t_w(klon,klev))
@@ -940,6 +937,4 @@
       ALLOCATE(zt2m_min_mon(klon), zt2m_max_mon(klon))
       ALLOCATE(t2m_min_mon(klon), t2m_max_mon(klon))
-      ALLOCATE(zq2m_cor(klon), zt2m_cor(klon), zu10m_cor(klon), zv10m_cor(klon))
-      ALLOCATE(zrh2m_cor(klon), zqsat2m_cor(klon))
       ALLOCATE(sens(klon), flwp(klon), fiwp(klon))
       ALLOCATE(alp_bl_conv(klon), alp_bl_det(klon))
@@ -962,5 +957,5 @@
       ALLOCATE(ref_liq(klon, klev), ref_ice(klon, klev), theta(klon, klev))
       ALLOCATE(ref_liq_pi(klon, klev), ref_ice_pi(klon, klev))
-      ALLOCATE(zphi(klon, klev), zx_rh(klon, klev))
+      ALLOCATE(zphi(klon, klev), zx_rh(klon, klev), zx_rhl(klon,klev), zx_rhi(klon,klev))
       ALLOCATE(pmfd(klon, klev), pmfu(klon, klev))
 
@@ -1039,4 +1034,6 @@
       ALLOCATE (z_tropopause(klon))
       ALLOCATE (t_tropopause(klon))
+
+      ALLOCATE(zn2mout(klon,6))
 
 #ifdef CPP_StratAer
@@ -1089,5 +1086,5 @@
       DEALLOCATE(t_seri,q_seri,ql_seri,qs_seri)
       DEALLOCATE(u_seri,v_seri)
-      DEALLOCATE(l_mixmin,l_mix)
+      DEALLOCATE(l_mixmin,l_mix, tke_dissip)
 
       DEALLOCATE(tr_seri)
@@ -1253,5 +1250,5 @@
       DEALLOCATE(cdragm, cdragh, cldh, cldl)
       DEALLOCATE(cldm, cldq, cldt, qsat2m)
-      DEALLOCATE(cldljn, cldmjn, cldhjn, cldtjn, JrNt)
+      DEALLOCATE(JrNt)
       DEALLOCATE(dthmin, evap, fder, plcl, plfc)
       DEALLOCATE(prw, prlw, prsw, zustar, zu10m, zv10m, rh2m, s_lcl)
@@ -1274,4 +1271,5 @@
       DEALLOCATE(sens_x, sens_w)
       DEALLOCATE(zxfluxlat_x, zxfluxlat_w)
+      DEALLOCATE(delta_qsurf)
 !jyg<
 !!      DEALLOCATE(t_x, t_w)
@@ -1303,6 +1301,4 @@
       DEALLOCATE(zt2m_min_mon, zt2m_max_mon)
       DEALLOCATE(t2m_min_mon, t2m_max_mon)
-      DEALLOCATE(zq2m_cor, zt2m_cor, zu10m_cor, zv10m_cor)
-      DEALLOCATE(zrh2m_cor, zqsat2m_cor)
       DEALLOCATE(sens, flwp, fiwp)
       DEALLOCATE(alp_bl_conv,alp_bl_det)
@@ -1322,5 +1318,5 @@
       DEALLOCATE(ref_liq, ref_ice, theta)
       DEALLOCATE(ref_liq_pi, ref_ice_pi)
-      DEALLOCATE(zphi, zx_rh)
+      DEALLOCATE(zphi, zx_rh, zx_rhl, zx_rhi)
       DEALLOCATE(pmfd, pmfu)
 
@@ -1391,4 +1387,5 @@
       DEALLOCATE (z_tropopause)
       DEALLOCATE (t_tropopause)
+      DEALLOCATE(zn2mout)
 
 #ifdef CPP_StratAer
Index: LMDZ6/trunk/libf/phylmdiso/phys_output_ctrlout_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/phys_output_ctrlout_mod.F90	(revision 3939)
+++ LMDZ6/trunk/libf/phylmdiso/phys_output_ctrlout_mod.F90	(revision 3940)
@@ -1,4 +1,4 @@
 !
-! $Id: phys_output_ctrlout_mod.F90 3691 2020-05-30 15:37:19Z oboucher $
+! $Id: phys_output_ctrlout_mod.F90 3888 2021-05-05 10:50:37Z jyg $
 !
 MODULE phys_output_ctrlout_mod
@@ -7,5 +7,4 @@
   USE indice_sol_mod
   USE aero_mod
-
 
   IMPLICIT NONE
@@ -273,4 +272,18 @@
     't2m_sic', "Temp 2m "//clnsurf(4), "K", (/ ('', i=1, 10) /)) /)
 
+  TYPE(ctrl_out), SAVE :: o_nt2mout = ctrl_out((/ 1, 1, 1, 5, 10, 10, 11, 11, 11, 11/), &
+    'nt2mout', 'Nbt2m out of range complete computation', '-', (/ ('', i=1, 10) /))
+  TYPE(ctrl_out), SAVE :: o_nq2mout = ctrl_out((/ 1, 1, 1, 5, 10, 10, 11, 11, 11, 11/), &
+    'nq2mout', 'Nbq2m out of range complete computation', '-', (/ ('', i=1, 10) /))
+  TYPE(ctrl_out), SAVE :: o_nu2mout = ctrl_out((/ 1, 1, 1, 5, 10, 10, 11, 11, 11, 11/), &
+    'nu2mout', 'Nbu2m out of range complete computation', '-', (/ ('', i=1, 10) /))
+
+  TYPE(ctrl_out), SAVE :: o_nt2moutfg = ctrl_out((/ 1, 1, 1, 5, 10, 10, 11, 11, 11, 11/), &
+    'nt2moutfg', 'Nbt2m out of range complete/fgRi1 computation', '-', (/ ('', i=1, 10) /))
+  TYPE(ctrl_out), SAVE :: o_nq2moutfg = ctrl_out((/ 1, 1, 1, 5, 10, 10, 11, 11, 11, 11/), &
+    'nq2moutfg', 'Nbq2m out of range complete/fgRi1 computation', '-', (/ ('', i=1, 10) /))
+  TYPE(ctrl_out), SAVE :: o_nu2moutfg = ctrl_out((/ 1, 1, 1, 5, 10, 10, 11, 11, 11, 11/), &
+    'nu2moutfg', 'Nbu2m out of range complete/fgRi1 computation', '-', (/ ('', i=1, 10) /))
+
   TYPE(ctrl_out), SAVE :: o_gusts = ctrl_out((/ 1, 1, 1, 10, 10, 10, 11, 11, 11, 11/), &
     'gusts', 'surface gustiness', 'm2/s2', (/ ('', i=1, 10) /))
@@ -281,7 +294,7 @@
     'wind100m', '100-m wind speed', 'm/s', (/ ('', i=1, 10) /))
   TYPE(ctrl_out), SAVE :: o_loadfactor_wind_onshore = ctrl_out((/ 1, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'load_factor_wind_onshore', 'Load factor for onshore windmill', '-', (/ ('', i=1, 10) /))
+    'woncfr', 'Onshore Wind Capacity factor', 'kW/kW_installed', (/ ('', i=1, 10) /))
   TYPE(ctrl_out), SAVE :: o_loadfactor_wind_offshore = ctrl_out((/ 1, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'load_factor_wind_offshore', 'Load factor for offshore windmill', '-', (/ ('', i=1, 10) /))
+    'wofcfr', 'Offshore Wind Capacity factor', 'kW/kW_installed', (/ ('', i=1, 10) /))
   TYPE(ctrl_out), SAVE :: o_wind10max = ctrl_out((/ 10, 1, 10, 10, 10, 10, 11, 11, 11, 11/), &
     'wind10max', '10m wind speed max', 'm/s', &
@@ -462,5 +475,7 @@
   TYPE(ctrl_out), SAVE :: o_SWupSFCcleanclr = ctrl_out((/ 11, 11, 11, 11, 11, 11, 11, 11, 11, 11/), &
     'SWupSFCcleanclr', 'SWup clear sky clean (no aerosol) at surface', 'W/m2', (/ ('', i=1, 10) /))
-  TYPE(ctrl_out), SAVE :: o_SWdnSFC = ctrl_out((/ 1, 1, 10, 10, 5, 10, 11, 11, 11, 11/), &
+  TYPE(ctrl_out), SAVE :: o_fdiffSWdnSFC = ctrl_out((/ 11, 11, 11, 11, 11, 11, 11, 11, 11, 11/), &
+    'fdiffSWdnSFC', 'Fraction of diffuse SWdn at surface', 'W/m2', (/ ('', i=1, 10) /))
+  TYPE(ctrl_out), SAVE :: o_SWdnSFC = ctrl_out((/ 1, 1, 1, 10, 5, 10, 11, 11, 11, 11/), &
     'SWdnSFC', 'SWdn at surface', 'W/m2', (/ ('', i=1, 10) /))
   TYPE(ctrl_out), SAVE :: o_SWdnSFCclr = ctrl_out((/ 1, 4, 10, 10, 5, 10, 11, 11, 11, 11/), &
@@ -567,11 +582,11 @@
   TYPE(ctrl_out), SAVE, DIMENSION(4) :: o_evappot_srf  = (/ &
       ctrl_out((/ 1, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'evappot_ter',    &
-      "Temperature"//clnsurf(1),"K", (/ ('', i=1, 10) /)),   &
+      "Potential evaporation "//clnsurf(1),"kg/(m2*s)", (/ ('', i=1, 10) /)),   &
       ctrl_out((/ 4, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'evappot_lic',    &
-      "Temperature"//clnsurf(2),"K", (/ ('', i=1, 10) /)),   &
+      "Potential evaporation "//clnsurf(2),"kg/(m2*s)", (/ ('', i=1, 10) /)),   &
       ctrl_out((/ 4, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'evappot_oce',    &
-      "Temperature"//clnsurf(3),"K", (/ ('', i=1, 10) /)),   &
+      "Potential evaporation "//clnsurf(3),"kg/(m2*s)", (/ ('', i=1, 10) /)),   &
       ctrl_out((/ 4, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'evappot_sic',    &
-      "Temperature"//clnsurf(4),"K", (/ ('', i=1, 10) /)) /)
+      "Potential evaporation "//clnsurf(4),"kg/(m2*s)", (/ ('', i=1, 10) /)) /)
 
   TYPE(ctrl_out), SAVE, DIMENSION(4) :: o_sens_srf     = (/          &
@@ -695,15 +710,15 @@
     'iwp', 'Cloud ice water path', 'kg/m2', (/ ('', i=1, 10) /))
   TYPE(ctrl_out), SAVE :: o_ue = ctrl_out((/ 1, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'ue', 'Zonal dry static energy transport', '-', (/ ('', i=1, 10) /))
+    'ue', 'Zonal dry static energy transport', 'J/m/s', (/ ('', i=1, 10) /))
   TYPE(ctrl_out), SAVE :: o_ve = ctrl_out((/ 1, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    've', 'Merid dry static energy transport', '-', (/ ('', i=1, 10) /))
+    've', 'Merid dry static energy transport', 'J/m/s', (/ ('', i=1, 10) /))
   TYPE(ctrl_out), SAVE :: o_uq = ctrl_out((/ 1, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'uq', 'Zonal humidity transport', '-', (/ ('', i=1, 10) /))
+    'uq', 'Zonal humidity transport', 'kg/m/s', (/ ('', i=1, 10) /))
   TYPE(ctrl_out), SAVE :: o_vq = ctrl_out((/ 1, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'vq', 'Merid humidity transport', '-', (/ ('', i=1, 10) /))
+    'vq', 'Merid humidity transport', 'kg/m/s', (/ ('', i=1, 10) /))
   TYPE(ctrl_out), SAVE :: o_uwat = ctrl_out((/ 1, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'uwat', 'Zonal total water transport', '-', (/ ('', i=1, 10) /))
+    'uwat', 'Zonal total water transport', 'kg/m/s', (/ ('', i=1, 10) /))
   TYPE(ctrl_out), SAVE :: o_vwat = ctrl_out((/ 1, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'vwat', 'Merid total water transport', '-', (/ ('', i=1, 10) /))
+    'vwat', 'Merid total water transport', 'kg/m/s', (/ ('', i=1, 10) /))
   TYPE(ctrl_out), SAVE :: o_cape = ctrl_out((/ 1, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
     'cape', 'Conv avlbl pot ener', 'J/kg', (/ ('', i=1, 10) /))
@@ -799,6 +814,4 @@
 'flat_w', 'flat within_wake', 'W/m2', (/ ('', i=1, 10) /))
 !!
-  type(ctrl_out),save :: o_delta_tsurf    = ctrl_out((/ 1, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-'delta_tsurf', 'Temperature difference (w-x)', 'K', (/ ('', i=1, 10) /))
   type(ctrl_out),save :: o_cdragh_x       = ctrl_out((/ 1, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
 'cdragh_x', 'cdragh off-wake', '', (/ ('', i=1, 10) /))
@@ -1004,9 +1017,10 @@
   TYPE(ctrl_out), SAVE :: o_tke = ctrl_out((/ 4, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
     'tke ', 'TKE', 'm2/s2', (/ ('', i=1, 10) /))
+  TYPE(ctrl_out), SAVE :: o_tke_dissip = ctrl_out((/ 10, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
+    'tke_dissip ', 'TKE DISSIPATION', 'm2/s3', (/ ('', i=1, 10) /))   
   TYPE(ctrl_out), SAVE :: o_tke_max = ctrl_out((/ 4, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
     'tke_max', 'TKE max', 'm2/s2',                                  &
       (/ 't_max(X)', 't_max(X)', 't_max(X)', 't_max(X)', 't_max(X)', &
          't_max(X)', 't_max(X)', 't_max(X)', 't_max(X)', 't_max(X)' /))
-
   TYPE(ctrl_out), SAVE, DIMENSION(4) :: o_tke_srf      = (/             &
       ctrl_out((/ 10, 4, 10, 10, 10, 10, 11, 11, 11, 11/),'tke_ter',       &
@@ -1050,4 +1064,5 @@
       "min PBL mixing length "//clnsurf(4),"m", (/ ('', i=1, 10) /)) /)
 
+
   TYPE(ctrl_out), SAVE, DIMENSION(4) :: o_tke_max_srf  = (/                          &
       ctrl_out((/ 10, 4, 10, 10, 10, 10, 11, 11, 11, 11/),'tke_max_ter',                &
@@ -1077,4 +1092,16 @@
       ctrl_out((/ 10, 4, 10, 10, 10, 10, 11, 11, 11, 11/),'dltpbltke_sic',       &
       "TKE difference (w - x) "//clnsurf(4),"-", (/ ('', i=1, 10) /)) /)
+
+  TYPE(ctrl_out), SAVE :: o_delta_tsurf = ctrl_out((/ 4, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
+    'delta_tsurf ', 'T_surf difference (w - x)', 'K', (/ ('', i=1, 10) /))
+  TYPE(ctrl_out), SAVE, DIMENSION(4) :: o_delta_tsurf_srf      = (/             &
+      ctrl_out((/ 10, 4, 10, 10, 10, 10, 11, 11, 11, 11/),'delta_tsurf_ter',       &
+      "T_surf difference (w - x) "//clnsurf(1),"-", (/ ('', i=1, 10) /)), &
+      ctrl_out((/ 10, 4, 10, 10, 10, 10, 11, 11, 11, 11/),'delta_tsurf_lic',       &
+      "T_surf difference (w - x) "//clnsurf(2),"-", (/ ('', i=1, 10) /)), &
+      ctrl_out((/ 10, 4, 10, 10, 10, 10, 11, 11, 11, 11/),'delta_tsurf_oce',       &
+      "T_surf difference (w - x) "//clnsurf(3),"-", (/ ('', i=1, 10) /)), &
+      ctrl_out((/ 10, 4, 10, 10, 10, 10, 11, 11, 11, 11/),'delta_tsurf_sic',       &
+      "T_surf difference (w - x) "//clnsurf(4),"-", (/ ('', i=1, 10) /)) /)
 
   TYPE(ctrl_out), SAVE :: o_kz = ctrl_out((/ 4, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
@@ -1304,4 +1331,8 @@
   TYPE(ctrl_out), SAVE :: o_flx_co2_land = ctrl_out((/ 11, 11, 11, 11, 11, 11, 11, 11, 11, 1/), &
     'flx_co2_land', 'CO2 flux from the land', '1', (/ ('', i=1, 10) /))
+  TYPE(ctrl_out), SAVE :: o_flx_co2_ocean_cor = ctrl_out((/ 11, 11, 11, 11, 11, 11, 11, 11, 11, 1/), &
+    'flx_co2_ocean_cor', 'correction of the CO2 flux from the ocean', 'kg CO2 m-2 s-1', (/ ('', i=1, 10) /))
+  TYPE(ctrl_out), SAVE :: o_flx_co2_land_cor = ctrl_out((/ 11, 11, 11, 11, 11, 11, 11, 11, 11, 1/), &
+    'flx_co2_land_cor', 'correction of the CO2 flux from the land', 'kg CO2 m-2 s-1', (/ ('', i=1, 10) /))
 
 #ifdef CPP_StratAer
@@ -1433,4 +1464,8 @@
   TYPE(ctrl_out), SAVE :: o_rhum = ctrl_out((/ 2, 5, 10, 10, 10, 10, 11, 11, 11, 11/), &
     'rhum', 'Relative humidity', '-', (/ ('', i=1, 10) /))
+  TYPE(ctrl_out), SAVE :: o_rhl = ctrl_out((/ 2, 6, 10, 10, 10, 10, 11, 11, 11, 11/), &
+    'rhl', 'Relative humidity wrt liquid', '%', (/ ('', i=1, 10) /))
+  TYPE(ctrl_out), SAVE :: o_rhi = ctrl_out((/ 2, 6, 10, 10, 10, 10, 11, 11, 11, 11/), &
+    'rhi', 'Relative humidity wrt ice', '%', (/ ('', i=1, 10) /))
   TYPE(ctrl_out), SAVE :: o_ozone = ctrl_out((/ 2, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
     'ozone', 'Ozone mole fraction', '-', (/ ('', i=1, 10) /))
@@ -1970,3 +2005,43 @@
 #endif
 
+   type(ctrl_out), save:: o_delta_sst &
+        = ctrl_out([1, 10, 10, 1, 10, 10, 11, 11, 11, 11], 'delta_SST', &
+        "ocean-air interface temperature minus bulk SST", "K", '')
+
+   type(ctrl_out), save:: o_delta_sal &
+        = ctrl_out([1, 10, 10, 1, 10, 10, 11, 11, 11, 11], 'delta_sal', &
+        "ocean-air interface salinity minus bulk salinity", "ppt", '')
+
+   type(ctrl_out), save:: o_ds_ns &
+        = ctrl_out([1, 10, 10, 1, 10, 10, 11, 11, 11, 11], 'dS_ns', &
+        "subskin salinity minus foundation salinity", "ppt", '')
+
+   type(ctrl_out), save:: o_dt_ns &
+        = ctrl_out([1, 10, 10, 1, 10, 10, 11, 11, 11, 11], 'dT_ns', &
+        "subskin temperature minus foundation temperature", "K", '')
+
+   type(ctrl_out), save:: o_dter &
+        = ctrl_out([1, 10, 10, 1, 10, 10, 11, 11, 11, 11], 'dTer', &
+        "ocean-air interface temperature minus sub-skin temperature", "K", '')
+
+   type(ctrl_out), save:: o_dser &
+        = ctrl_out([1, 10, 10, 1, 10, 10, 11, 11, 11, 11], 'dSer', &
+        "ocean-air interface salinity minus sub-skin salinity", "ppt", '')
+
+   type(ctrl_out), save:: o_tkt &
+        = ctrl_out([1, 10, 10, 1, 10, 10, 11, 11, 11, 11], 'tkt', &
+        "thickness of thermal microlayer", "m", '')
+
+   type(ctrl_out), save:: o_tks &
+        = ctrl_out([1, 10, 10, 1, 10, 10, 11, 11, 11, 11], 'tks', &
+        "thickness of salinity microlayer", "m", '')
+
+   type(ctrl_out), save:: o_taur &
+        = ctrl_out([1, 10, 10, 1, 10, 10, 11, 11, 11, 11], 'taur', &
+        "momentum flux due to rain", "Pa", '')
+
+   type(ctrl_out), save:: o_sss &
+        = ctrl_out([1, 10, 10, 1, 10, 10, 11, 11, 11, 11], 'SSS', &
+        "bulk sea-surface salinity", "ppt", '')
+
 END MODULE phys_output_ctrlout_mod
Index: LMDZ6/trunk/libf/phylmdiso/phys_output_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/phys_output_mod.F90	(revision 3939)
+++ LMDZ6/trunk/libf/phylmdiso/phys_output_mod.F90	(revision 3940)
@@ -1,3 +1,3 @@
-! $Id: phys_output_mod.F90 3666 2020-04-20 10:13:34Z lfalletti $
+! $Id: phys_output_mod.F90 3792 2021-01-04 17:01:25Z evignon $
 !
 
@@ -41,5 +41,5 @@
     USE mod_phys_lmdz_para
     !Martin
-    USE surface_data, ONLY : ok_snow
+    USE surface_data, ONLY : landice_opt
     USE phys_output_ctrlout_mod
     USE mod_grid_phy_lmdz, only: klon_glo,nbp_lon,nbp_lat
@@ -379,5 +379,4 @@
     ENDIF
 
-        write(*,*) 'phys_output_mid 344'
 !!! Declaration des axes verticaux de chaque fichier:
     IF (prt_level >= 10) THEN
@@ -452,5 +451,4 @@
    ENDIF
 #endif 
-        write(*,*) 'phys_output_mid 416'
 
         IF (clef_files(iff)) THEN
Index: LMDZ6/trunk/libf/phylmdiso/phys_output_var_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/phys_output_var_mod.F90	(revision 3939)
+++ LMDZ6/trunk/libf/phylmdiso/phys_output_var_mod.F90	(revision 3940)
@@ -133,4 +133,28 @@
  !$OMP THREADPRIVATE(sens_prec_liq_o, sens_prec_sol_o,lat_prec_liq_o,lat_prec_sol_o)
 
+  ! Ocean-atmosphere interface, subskin ocean and near-surface ocean:
+  
+  REAL, ALLOCATABLE, SAVE:: dter(:)
+  ! Temperature variation in the diffusive microlayer, that is
+  ! ocean-air interface temperature minus subskin temperature. In K.
+      
+  REAL, SAVE, ALLOCATABLE:: dser(:)
+  ! Temperature variation in the diffusive microlayer, that is
+  ! subskin temperature minus ocean-air interface temperature. In K.
+
+  REAL, SAVE, ALLOCATABLE:: tkt(:)
+  ! épaisseur (m) de la couche de diffusion thermique (microlayer)
+  ! cool skin thickness
+
+  REAL, SAVE, ALLOCATABLE:: tks(:)
+  ! épaisseur (m) de la couche de diffusion de masse (microlayer)
+  
+  REAL, SAVE, ALLOCATABLE:: taur(:) ! momentum flux due to rain, in Pa
+
+  REAL, SAVE, ALLOCATABLE:: sss(:)
+  ! bulk salinity of the surface layer of the ocean, in ppt
+  
+  !$OMP THREADPRIVATE(dter, dser, tkt, tks, taur, sss)
+
 CONTAINS
 
@@ -138,4 +162,5 @@
   SUBROUTINE phys_output_var_init
     use dimphy
+    use config_ocean_skin_m, only: activate_ocean_skin
 
     IMPLICIT NONE
@@ -191,4 +216,7 @@
     IF (ok_gwd_rando) allocate(zustr_gwd_rando(klon), zvstr_gwd_rando(klon))
 
+    if (activate_ocean_skin >= 1) allocate(dter(klon), dser(klon), tkt(klon), &
+         tks(klon), taur(klon), sss(klon))
+
   END SUBROUTINE phys_output_var_init
 
